#
# spec file for package litetran
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           litetran
Version:        1.3
Release:        6.17
Summary:        The powerful translator on Qt
License:        GPL-3.0+
Group:          Productivity/Graphics/Other
Url:            http://flareguner.github.io/litetran
Source:         https://github.com/flareguner/%{name}/archive/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  libqt5-qttools-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Multimedia) >= 5.2
BuildRequires:  pkgconfig(Qt5Network) >= 5.2
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2

%description
LiteTran is a very simple GUI for text translation
 (like Google Translate).

 * very simple user interface
 * translate by text selection: just select text, press
   key combination (Ctrl+Shift+T by default) get
   translation result in popup. You don't need to open
   your web browser with everytime you want to translate
   something;
 * text speech (up to 100 characters);
 * 37 supported languages.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc LICENSE.txt README.md RELNOTES.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jan  8 2015 dimstar@opensuse.org
- Drop %%icon_theme_cache_post/postun macro calls: there are no
  icons installed in any icon theme (only pixmaps).
* Sat Sep 27 2014 sor.alexei@meowr.ru
- Update to 1.3:
  * Added cli option to launch litetran collapsed
  * Added command line option to start litetran collapsed in tray
  * Added notification about network errors
  * Added source language detection
  * Added wait cursor during translation
  * Improved translation result popup
  * Length of text to pronounce is unlimited
  * Redesign in about dialog
  * Redesign in config dialog
  * Updated application icon
* Mon Apr 14 2014 sor.alexei@meowr.ru
- Update to 1.2:
  * Selection of necessary languages
  * Application menu alignment (like Chromium)
  * Reverse translation
  * Minor fixes and improvements
* Sat Mar  8 2014 sor.alexei@meowr.ru
- Initial package.
